diff -aur --exclude='*.beam' --exclude=configure --exclude=Makefile otp_src_R9C-0/lib/asn1/src/asn1ct.erl otp_src_R9C-0.fixed/lib/asn1/src/asn1ct.erl
--- otp_src_R9C-0/lib/asn1/src/asn1ct.erl	2003-07-07 14:46:11.000000000 +0200
+++ otp_src_R9C-0.fixed/lib/asn1/src/asn1ct.erl	2003-08-22 01:25:46.000000000 +0200
@@ -994,17 +994,25 @@
 	      (Name) ->
 		  {d, Name}
 	  end,
-	  Defines) ++
-	case OutputType of
-	    undefined -> [ber]; % temporary default (ber when it's ready)
-	    ber -> [ber];
-	    ber_bin -> [ber_bin];
-	    ber_bin_v2 -> [ber_bin_v2];
-	    per -> [per];
-	    per_bin -> [per_bin]
+	  Defines),
+    DefaultTypeOptions =
+	case [ X || X <- Specific , lists:member(X, [per,ber,ber_bin,ber_bin_v2,per_bin]) ] of
+	    [] ->
+		case OutputType of
+		    undefined -> [ber]; % temporary default (ber when it's ready)
+		    ber -> [ber];
+		    ber_bin -> [ber_bin];
+		    ber_bin_v2 -> [ber_bin_v2];
+		    per -> [per];
+		    per_bin -> [per_bin]
+		end;
+	    _ ->
+		[]
 	end,
 
-    Options++[report_errors, {cwd, Cwd}, {outdir, Outdir}|
+    io:format("Specific options = ~p\n", [Specific]),
+
+    Options++DefaultTypeOptions++[report_errors, {cwd, Cwd}, {outdir, Outdir}|
 	      lists:map(fun(Dir) -> {i, Dir} end, Includes)]++Specific.
 
 pretty2(Module,AbsFile) ->
